g1050_core_model_t Struct Reference

`#include <g1050.h>`

## Public Attributes

double | base_regional_delay
double | base_intercontinental_delay
double | percentage_packet_loss
double | max_jitter
double | route_flap_interval
double | route_flap_delay
double | link_failure_interval
double | link_failure_duration
double | prob_packet_loss
double | prob_oos

## Detailed Description

The model definition for the core network (backbone) segment

## Member Data Documentation

## base_intercontinental_delay

double g1050_core_model_t::base_intercontinental_delay

Basic delay of the backbone for intercontinental paths

## base_regional_delay

double g1050_core_model_t::base_regional_delay

Basic delay of the backbone for regional paths

## link_failure_duration

double g1050_core_model_t::link_failure_duration

The duration of link failures.

## link_failure_interval

double g1050_core_model_t::link_failure_interval

The interval between link failures.

## max_jitter

double g1050_core_model_t::max_jitter

Maximum jitter in the backbone.

## percentage_packet_loss

double g1050_core_model_t::percentage_packet_loss

Percentage packet loss of the backbone

Percentage packet loss of the backbone.

## prob_oos

double g1050_core_model_t::prob_oos

Probability of a packet going out of sequence in the backbone.

## prob_packet_loss

double g1050_core_model_t::prob_packet_loss

Probability of packet loss in the backbone.

## route_flap_delay

double g1050_core_model_t::route_flap_delay

The difference in backbone delay between the two routes we flap between, in seconds.

## route_flap_interval

double g1050_core_model_t::route_flap_interval

Interval between the backbone route flapping between two paths, in seconds.

The documentation for this struct was generated from the following file:

- g1050.h